opj_j2k_tlm_tile_part_info Struct Reference

Entry of a TLM marker segment. More...

`#include <j2k.h>`

## Data Fields

OPJ_UINT16 | m_tile_index
| Tile index of the tile part.
OPJ_UINT32 | m_length
| Length in bytes, from the beginning of the SOT marker to the end of the bit stream data for that tile-part.

## Detailed Description

Entry of a TLM marker segment.

## Field Documentation

## m_length

OPJ_UINT32 opj_j2k_tlm_tile_part_info::m_length

Length in bytes, from the beginning of the SOT marker to the end of the bit stream data for that tile-part.

Ptlmi field

Referenced by opj_j2k_build_tp_index_from_tlm(), and opj_j2k_read_tlm().

## m_tile_index

OPJ_UINT16 opj_j2k_tlm_tile_part_info::m_tile_index

Tile index of the tile part.

Ttlmi field

Referenced by opj_j2k_build_tp_index_from_tlm(), and opj_j2k_read_tlm().

The documentation for this struct was generated from the following file:

- j2k.h